
#ifndef FM_CAPTURE_H_
#define FM_CAPTURE_H_

#include "arm_math.h"


#pragma pack(push,4)
typedef struct _adcCapture
{
    float32_t inDataF[6];
    int16_t outData;
}adcCapture;
#pragma pack(pop)

extern adcCapture WORK_VOLT_capture;
extern adcCapture DSG_CURR_capture;
extern adcCapture PV_VOLT_IN_capture;
extern adcCapture CHG_CURR_capture;

void ADC_Capture_Init(void);
void proportionalInt(int mode);

float get_CHG_CURR(void);
float get_PV_VOLT_OUT(void);
float get_DSG_CURR(void);
float get_PV1_VOLT_IN(void);
float get_PV_VOLT_IN1(void);
float get_MOSFET_Temper(void);

void adcCaptureFir();

#endif